Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.paging
Interface ISortableFilterablePagedList<T>

All Superinterfaces
  ContentListKeys, IFilterablePagedList<T>, IPagedList<T>, ISortablePagedList<T>, Iterable<T>, Serializable

    public interface ISortableFilterablePagedList<T>

extends ISortablePagedList<T>, IFilterablePagedList<T>

An IPagedList which can be both sorted and filtered.

An overview of PagedList capabilities, including sorting and filtering, is provided in the package documentation at `com.bea.content.paging`

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary

Fields inherited from interface com.bea.content.paging.ContentListKeys
`ALL_ITEMS, BATCH_LOADING_SIZE_KEY, CUSTOM_OBJECT_FILTER, CUSTOM_OBJECT_SORT, FILTER_CRITERIA_KEY, SORT_CRITERIA_KEY`

Fields inherited from interface com.bea.content.paging.ContentListKeys
`ALL_ITEMS, BATCH_LOADING_SIZE_KEY, CUSTOM_OBJECT_FILTER, CUSTOM_OBJECT_SORT, FILTER_CRITERIA_KEY, SORT_CRITERIA_KEY`

Method Summary

Methods inherited from interface com.bea.content.paging.ISortablePagedList
`getAllSortableProperties, getCurrentSortLocale, getCurrentSortOrder, getCurrentSortProperty, getNativeSortableProperties, reSort`

Methods inherited from interface com.bea.content.paging.IPagedList
`fullSize, getBatchLoadingSize, isFullyResolved, iterator, nativeSize, setBatchLoadingSize`

Methods inherited from interface com.bea.content.paging.IFilterablePagedList
`getAllFilterableProperties, getAllFilterMethods, getCurrentFilterLocale, getCurrentFilterMethod, getCurrentFilterProperty, getCurrentFilterString, getNativeFilterableProperties, getNativeFilterMethods, reFilter`

Methods inherited from interface com.bea.content.paging.IPagedList
`fullSize, getBatchLoadingSize, isFullyResolved, iterator, nativeSize, setBatchLoadingSize`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved